<template lang="html">
  <modal class="sign-in-modal" name="signin-modal"
  :width=" 692"
  :height="582"
  >
      <div class="ui-signin-modal__container">
          <div class="ui-signin-form">
              <p class="form-title">Вход</p>
              <div class="ui-signin-input-info">
                  <div class="ui-signin-login">
                      <p>{{ email}}</p>
                      <input :title="email" type="email" name="login" placeholder="Ваше имя" required v-model="form.email">
                  </div>
                  <div class="ui-signin-password">
                      <p>{{ password }}</p>
                      <input :title="password" type="password" name="pass" required placeholder="Ваш пароль" v-model="form.password">
                  </div>
              </div>
              <div class="ui-signin-social-links">
                  <div class="facebook-link">
                    <a href="facebook-link"></a>
                  </div>
                  <div class="twitter-link">
                      <a href="twitter-link"></a>
                  </div>
                  <div class="gmail-link">
                      <a href="gmail-link"></a>
                  </div>
              </div>
              <div class="ui-other-buttons"
              >
                <ui-button
                v-for="(title, key) in signin"
                :key="key"
                :title="title"
                @click.native="submit"
                ></ui-button>
                <ui-divider></ui-divider>
                <ui-button
                v-for="(title, key) in signup"
                :key="key"
                :title="title"
                @click.native="regisModal"
                ></ui-button>
              </div>
          </div>
          <ui-modal-close-button></ui-modal-close-button>
      </div>
  </modal>

</template>

<script>
import {mapActions} from 'vuex';
export default {
    methods: {
      setInput(name, value){
        this.form[name] = value;
        console.log(name, value);
      },
      submit(){
        // this.axios.post('http://192.168.1.121:80/api/auth/login', this.form).then(res => {
        //   console.log(res.data)
        // })
        this.login(this.form).then(() => {
          console.log('as')
          console.log(status.code)
          this.initUser();
        })
        this.regisModal();
      },
      getTest() {
        this.getTest().then(() => {
          console.log('as')
        })
        this.close();
      },
      regisModal () {
        this.$modal.hide('signin-modal');
      },
      ...mapActions('User', [
          'login',
          'initUser',
          'getTest'
        ]
      )
    },
    props: ['title'],
    data () {
        return {
          email: 'Ваше имя',
          password: 'Ваш пароль',
          form: {
            email: '',
            password: ''
          },
          signin: [
            {
              title: 'Вход',
              nameModal: 'signin-modal'
            }
          ],
          signup: [
            {
              title: 'Регистрация',
              nameModal: 'signup-modal'
            }
          ]
        }
    }
}
</script>

<style lang="scss" scoped>
    .ui-button {
      margin-top: 0px!important;
      margin-right: 0px!important;
    }
    .ui-signin-modal__container {
        display: flex;
        padding: 9px 30px 40px 73px;

        background-image: url(../../assets/img/home/bg-signin-block.svg);
        background-position: center;
        background-size: cover;

        height: 100%;

        box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.45);

        .ui-signin-close-button {
          margin-top: 30px;
        }
        .ui-signin-form {
          width: 100%;
          margin-left: 25px;
          .form-title {
            text-align: center;
            text-transform: uppercase;
            font-size: 32px;
            font-weight: bold;
            font-family: sans-serif;


            margin-top: 36px;
            margin-bottom: 33px;
          }
          .ui-other-buttons {
            display: flex;
            flex-direction: column;
            align-items: center;

            margin-bottom: 20px;
          }
        }
        .ui-signin-input-info {

          .ui-signin-login {
            width: 100%;
            p {
              font-size: 16px;
              margin: 22px 0 2px 0;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
          .ui-signin-password {
            margin-top: -8px;
            p {
              margin: 22px 0 2px 0;
              font-size: 16px;
            }
            input {
              padding: 15px 11px;
              width: 95%;
              height: 8px;
              border-radius: 5px;
              border: 1px solid black;

              outline: none;
            }
          }
        }
        .ui-signin-social-links {
          display: flex;
          justify-content: center;

          margin: 42px 0;
          .twitter-link {
            margin: 0 8%;
          }
          .facebook-link,
          .twitter-link,
          .gmail-link {
            cursor: pointer;
            width: 55px;
            height: 55px;
            background-size: cover;

            transition: all .3s ease;
          }
          .facebook-link {
            background-image: url(../../assets/img/home/bg-facebook.svg);
            &:hover {
              background-image: url(../../assets/img/home/facebook-link-hover.svg);
              transition: all .3s ease;
            }
          }
          .twitter-link {
            background-image: url(../../assets/img/home/twitter_link.svg);
            &:hover {
              background-image: url(../../assets/img/home/twitter-link-hover.svg);
              transition: all .3s ease;
            }
          }
          .gmail-link {
            background-image: url(../../assets/img/home/gmail_link.svg);
            &:hover {
              background-image: url(../../assets/img/home/gmail-link-hover.svg);
              transition: all .3s ease;
            }
          }
        }
    }
</style>
